#1093 Version 1.10.0 doesn't start in Fedora 18/19

v1.10
closed-works-for-me
Lars Windolf
None
5
2014-01-15
2013-07-14
nmdias
No

Version 1.10.0 doesn't start, and I get this error in the shell
(liferea:3798): GLib-GIO-ERROR **: Settings schema 'net.sf.liferea' does not contain a key named 'last-node-selected'
Trace/breakpoint trap

Version liferea-1.10RC4 works, so is something introduced after this version.
This happens in fedora 18 and 19 (x86_64)

Related

Bugs: #1093

Discussion

  • genodeftest
    genodeftest
    2013-07-15

    I can't confirm that running Liferea 1.10.0 from git on Fedora 19 (x86_64). Are you using a repository for liferea or running it from git?
    Can you please provide a backtrace?

     
  • nmdias
    nmdias
    2013-07-15

    I got liferea from sourceforge the tar.bz2 package, but I've tested also getting from the git repository and I have the same problem.

    liferea --debug-trace

    gives this

    TRACE : [0x1dd6ea0] + import_parse_outline
    TRACE : [0x1dd6ea0] + favicon_load_from_cache
    TRACE : [0x1dd6ea0] - favicon_load_from_cache
    TRACE : [0x1dd6ea0] + vfolder_new
    TRACE : [0x1dd6ea0] - vfolder_new
    TRACE : [0x1dd6ea0] - import_parse_outline
    TRACE : [0x1dd6ea0] - default_source_source_import
    TRACE : [0x1dd6ea0] - node_source_setup_root
    TRACE : [0x1dd6ea0] - feedlist_init

    (liferea:4277): GLib-GIO-ERROR **: Settings schema 'net.sf.liferea' does
    not contain a key named 'last-node-selected'

    Before this is the same import, gavicon, etc

     
  • nmdias
    nmdias
    2013-07-15

    I got liferea from sourceforge the tar.bz2 package

    liferea --debug-trace

    gives this

    TRACE : [0x1dd6ea0] + import_parse_outline
    TRACE : [0x1dd6ea0] + favicon_load_from_cache
    TRACE : [0x1dd6ea0] - favicon_load_from_cache
    TRACE : [0x1dd6ea0] + vfolder_new
    TRACE : [0x1dd6ea0] - vfolder_new
    TRACE : [0x1dd6ea0] - import_parse_outline
    TRACE : [0x1dd6ea0] - default_source_source_import
    TRACE : [0x1dd6ea0] - node_source_setup_root
    TRACE : [0x1dd6ea0] - feedlist_init

    (liferea:4277): GLib-GIO-ERROR **: Settings schema 'net.sf.liferea' does
    not contain a key named 'last-node-selected'

    Before this is the same import, gavicon, etc

    Cheers,
    Nuno

    On Mon, 2013-07-15 at 10:45 +0000, genodeftest wrote:

    I can't confirm that running Liferea 1.10.0 from git on Fedora 19
    (x86_64). Are you using a repository for liferea or running it from
    git?
    Can you please provide a backtrace?


    [bugs:#1093] Version 1.10.0 doesn't start in Fedora 18/19

    Status: open
    Created: Sun Jul 14, 2013 05:19 PM UTC by nmdias
    Last Updated: Sun Jul 14, 2013 05:19 PM UTC
    Owner: nobody

    Version 1.10.0 doesn't start, and I get this error in the shell
    (liferea:3798): GLib-GIO-ERROR **: Settings schema 'net.sf.liferea'
    does not contain a key named 'last-node-selected'
    Trace/breakpoint trap

    Version liferea-1.10RC4 works, so is something introduced after this
    version.
    This happens in fedora 18 and 19 (x86_64)


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/liferea/bugs/1093/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #1093


    Last edit: nmdias 2013-07-15
  • genodeftest
    genodeftest
    2013-07-15

    Still can't reproduce this, even with a clean install (no .config/liferea, .cache/liferea, .local/share/liferea). Maybe this needs a really clean install (no dconf entries for liferea). Any preferences you recently enabled? It seems like the trace is incomplete, at least it isn't helpful to me.
    Can you please install gdb (the GNU debugger) from your distribution's package manager an try this:
    1. open a terminal
    2. cd to the folder where liferea's source resides (the one you extracted from the .tar.bz2 file).
    3. run this command: gdb liferea
    4. gdb will open a shell, run: run
    5. when gdb stops output, run: backtrace
    6. copy this backtrace and paste it here
    7. you can close gdb by running: quit
    gdb may give you a hint to install debuginfo packages but this should not be necessary here since the bug is most probably in liferea.

    @Nuno Dias: I wouldn't publish my mail address here where every web crawler can see it.

     
  • genodeftest
    genodeftest
    2013-07-15

    Ok, this is weird. According to git log (recent commits) this should 1. be fixed and 2. is an option recently added to gschema.xml.

     
  • nmdias
    nmdias
    2013-07-15

    I don't know if you need the backtrace ... but here it goes anyway
    Program received signal SIGTRAP, Trace/breakpoint trap.
    0x0000003e74a4ee0d in g_logv () from /lib64/libglib-2.0.so.0
    Missing separate debuginfos, use: debuginfo-install liferea-1.10.0-5.fc19.ndias.x86_64
    (gdb) backtrace

    0 0x0000003e74a4ee0d in g_logv () from /lib64/libglib-2.0.so.0
    1 0x0000003e74a4eff2 in g_log () from /lib64/libglib-2.0.so.0
    2 0x0000003e77ea48e4 in g_settings_schema_get_value ()
    from /lib64/libgio-2.0.so.0
    3 0x0000003e77ea4abd in g_settings_schema_key_init ()
    from /lib64/libgio-2.0.so.0
    4 0x0000003e77ea7e4b in g_settings_get_value () from /lib64/libgio-2.0.so.0
    5 0x0000003e77ea890b in g_settings_get_string () from /lib64/libgio-2.0.so.0
    6 0x000000000041ced9 in conf_get_str_value_from_schema ()
    7 0x000000000044574f in liferea_shell_create ()
    8 0x0000000000430140 in on_app_activate ()
    9 0x0000003e7620fa28 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
    10 0x0000003e76220a3d in signal_emit_unlocked_R ()
    from /lib64/libgobject-2.0.so.0
    11 0x0000003e76228829 in g_signal_emit_valist ()
    from /lib64/libgobject-2.0.so.0
    12 0x0000003e76228a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
    13 0x0000003e77e96548 in g_application_real_local_command_line ()
    from /lib64/libgio-2.0.so.0
    14 0x0000003e77e9668c in g_application_run () from /lib64/libgio-2.0.so.0
    15 0x000000000041aeb3 in main ()

     
    Last edit: nmdias 2013-07-15
  • Lars Windolf
    Lars Windolf
    2013-07-22

    nmdias: Just to be sure did you "make install" to install the schema?

     
  • Lars Windolf
    Lars Windolf
    2013-07-22

    • assigned_to: Lars Windolf
     
  • If you installed to a non-standard prefix (i.e. not /usr) you need to set XDG_DATA_DIRS=/my/prefix:/usr so that glib can find the schema.

     
  • Scratch that, if that was the issue the error would have been different.

     
  • nmdias
    nmdias
    2013-07-24

    Yes I made the "make install", and the schema is installed.
    From the error
    "Settings schema 'net.sf.liferea' does not contain a key named 'last-node-selected'"
    So it seems the schema is found, but the key last-node-selected is not in the schema.

     
  • Suppose I have similar situation. I start liferea-1.10.0 on Gentoo Linux. It starts but when I choose any feed list liferea crashes with Segmentation Fault.

    I have backtrace from gdb:

    http://pastebin.com/5B38YpDX

     
  • Lars Windolf
    Lars Windolf
    2013-09-12

    @all: Does this still happen with 1.10.2

    I didn't get new reports on this. So I believe it to be fixed.

     
  • nmdias
    nmdias
    2013-09-12

    yes, I can confirm that this is still an issue, I tested version 1.10.2 and the error is the same :(

     
  • genodeftest
    genodeftest
    2013-09-12

    I still can't confirm that on Fedora 19 x86_64. No matter if I use the tarball or git. No matter if I use a clean install (new empty user account – default settings) or the account I used before.

     
  • nmdias
    nmdias
    2013-09-22

    The problem is solved.

    /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

    Solves the problem.

     
    Last edit: nmdias 2013-09-22
  • Lars Windolf
    Lars Windolf
    2014-01-15

    • status: open --> closed-works-for-me
     
  • Lars Windolf
    Lars Windolf
    2014-01-15

    Closing this. Seems to be Fedora specific. Please follow nmdias advice on compiling schemas if you experience this.

    I'll do a blog post about this to inform people googling for this.